> Please provide a simple example, a simple extension, and include the
> specific ruby version (ruby -v) so we can reproduce.

Interesting.

Now that I try and reproduce it, I'm only able to on 1.9.1

Maybe it is some bug that needs to be backported?

C:\dev\PIG-2.3>gem install rjb
ruby 1.9.1p378 (2010-01-10 revision 26273) [i386-mingw32]

Building native extensions.  This could take a while...
..Successfully installed rjb-1.2.6
1 gem installed

C:\dev\PIG-2.3>irb
irb(main):001:0> require 'rjb'
LoadError: 127: The specified procedure could not be found.   - Init_rjbcore
C:/ruby19/lib/ruby/gems/1.9.1/gems/rjb-1.2.6/lib/rjbcore.so
        from C:/ruby19/lib/ruby/gems/1.9.1/gems/rjb-1.2.6/lib/rjb.rb:21:in
`require'
        from C:/ruby19/lib/ruby/gems/1.9.1/gems/rjb-1.2.6/lib/rjb.rb:21:in
`<top (required)>'
        from (irb):1:in `require'
        from (irb):1
        from C:/ruby19/bin/irb:12:in `<main>'
irb(main):002:0> exit